%define major   3
%define libname %mklibname myguiengine %{major}
%define devname %mklibname myguiengine -d

Name:           mygui
Version:        3.2.2
Release:        %mkrel 1
Summary:        Fast, simple and flexible GUI library for Ogre
Group:          Development/C++
License:        MIT
URL:            http://mygui.info/
Source0:        https://github.com/MyGUI/mygui/archive/MyGUI%{version}/%{name}-%{version}.tar.gz
Patch0:         mygui-3.2.2-linking-boost_system.patch
# From Fedora
Patch1:         mygui_multilib_cflags.patch
Patch2:         mygui-libCommon-fixup.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(OIS)
BuildRequires:  pkgconfig(OGRE)
BuildRequires:  pkgconfig(uuid)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} >= %{version}-%{release}

%description
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{libname}
Summary:        Shared libraries for MyGUI
Group:          System/Libraries

%description -n %{libname}
MyGUI is a GUI library for Ogre Rendering Engine which aims to be fast,
flexible and simple in using.

%package -n %{devname}
Summary:        Development files for MyGUI
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for MyGUI.

%prep
%setup -q -n %{name}-MyGUI%{version}
%autopatch -p1

%build
%cmake \
    -DMYGUI_BUILD_DEMOS=FALSE \
    -DMYGUI_BUILD_DOCS=FALSE \
    -DMYGUI_BUILD_PLUGINS=FALSE \
    -DMYGUI_BUILD_TOOLS=FALSE

%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/libMyGUIEngine.so.%{major}
%{_libdir}/libMyGUIEngine.so.%{major}.*
%{_libdir}/libMyGUI.OgrePlatform.so

%files -n %{devname}
%{_includedir}/MYGUI/
%{_libdir}/libMyGUIEngine.so
%{_libdir}/pkgconfig/MYGUI.pc


%changelog
* Sat Apr 16 2016 akien <akien> 3.2.2-1.mga6
+ Revision: 1003061
- Version 3.2.2
- Drop -doc, -demos and -tools packages:
  o Dramatically simplifies the spec file
  o Nobody uses this stuff, MyGUI developers on Mageia can build their demos themselves

* Mon Feb 15 2016 umeabot <umeabot> 3.2.1-9.mga6
+ Revision: 961690
- Mageia 6 Mass Rebuild

* Sun Dec 27 2015 daviddavid <daviddavid> 3.2.1-8.mga6
+ Revision: 915498
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 3.2.1-7.mga6
+ Revision: 883936
- rebuild for new boost 1.59.0

* Tue Aug 25 2015 cjw <cjw> 3.2.1-6.mga6
+ Revision: 869402
- rebuild with gcc 5

* Fri Jul 31 2015 daviddavid <daviddavid> 3.2.1-5.mga6
+ Revision: 860037
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-4.mga5
+ Revision: 751146
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.2.1-3.mga5
+ Revision: 727423
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-2.mga5
+ Revision: 682720
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Mon Aug 25 2014 wally <wally> 3.2.1-1.mga5
+ Revision: 667383
- new version 3.2.1
- upstream changed license to MIT
- rediff patches and add file location patch from Gentoo

* Mon Mar 31 2014 akien <akien> 3.2.0-8.mga5
+ Revision: 610916
- Rebuild for new OGRE

* Wed Feb 05 2014 wally <wally> 3.2.0-6.mga5
+ Revision: 583684
- rebuild for new boost

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-5.mga4
+ Revision: 531645
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 wally <wally> 3.2.0-4.mga4
+ Revision: 464404
- fix wrapper scripts after behavior change in findutils 4.5.11

* Wed Aug 07 2013 wally <wally> 3.2.0-3.mga4
+ Revision: 464385
- fix font symlinks

* Wed Aug 07 2013 wally <wally> 3.2.0-2.mga4
+ Revision: 464370
- make main pkg to require libs
- add requires exceptions for devel pkg
- add common provides to devel pkg

* Wed Aug 07 2013 wally <wally> 3.2.0-1.mga4
+ Revision: 464359
- import MyGUI (based on .spec and patches from Fedora)
- add patch to fix build with gcc 4.7 (from SUSE)
- add patch to fix linking

